WordPress.org

Support

Support » Plugins and Hacks » Revive Old Post (Former Tweet Old Post) » [Resolved] "You do not have enough permission to set the option." error

[Resolved] "You do not have enough permission to set the option." error

  • WP 3.5.2
    Tweet Old Post v 4.0.7

    After installing plugin and heading to settings, administrators get the error:
    “You do not have enough permission to set the option. Please contact your admin.”

    We’ve tried removing plugin, scrubbing database of all mentions of it (search and detroy top_opt_), and re-installing from scratch.

    Please advise.

    http://wordpress.org/extend/plugins/tweet-old-post/

Viewing 11 replies - 1 through 11 (of 11 total)
  • lot of people have raised this issue.
    I would require the wordpress access to check this.

    Thanks for your reply. Is there any diagnostics we can run rather than creating an admin account for you?

    Failing that, what is a secure way to get a temporary account for you?

    Rolling back to 3.3.3 fixes this issue, so I’m guessing it’s a permissions error in the 4.x code?

    Let me know about questions above.

    Update: although 3.3.3 allows us access to the admin page, we can’t get twitter authorised.

    Are there any diagnostics we can run rather than creating an admin account for you?

    Failing that, what is a secure way to get a temporary account for you?

    Same problem here. Tried changing file permissions and downgrading to 4.0.6 but no luck.

    We did have access to the admin panel after we downgraded, but then realised that the functionality still wasn’t working. No solution yet.

    update the top_admin.php file

    set line 10
    if (current_user_can('edit_plugins'))

    to
    if (current_user_can('activate_plugins'))

    It seems there is something wrong withj multisite administrator/super admin config.

    Thanks lionelroux, that solves the problem!

    Maybe you have in your wp-config.php the option DISALLOW_FILE_EDIT set to true. Set it to false and the plugin will work…

    I have the stated problem and am not on Multisite.

    Plugin Author Codeinwp

    @codeinwp

    Hi David,

    Sorry for the late answer, do you still have the issue, send us more details at : info@readythemes.com

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘[Resolved] "You do not have enough permission to set the option." error’ is closed to new replies.
Skip to toolbar